"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.prakiraanCuaca = void 0;
const axios_1 = __importDefault(require("axios"));
const fast_xml_parser_1 = require("fast-xml-parser");
const functions_js_1 = require("../../util/functions.js");
const variables_js_1 = require("../../util/variables.js");
const parser = new fast_xml_parser_1.XMLParser({ ignoreAttributes: false });
async function prakiraanCuaca(daerah = 'indonesia') {
    try {
        let found = false;
        Object.keys(variables_js_1.endpoints.cuaca).forEach((key) => {
            if (key == daerah.toLowerCase()) {
                daerah = key;
                found = true;
            }
        });
        if (found) {
            const res = await axios_1.default.get(variables_js_1.baseUrl.cuaca + variables_js_1.endpoints.cuaca[daerah]);
            return (0, functions_js_1.getWeatherData)(parser.parse(res.data));
        }
        else {
            throw new Error('Data cuaca tidak ditemukan!');
        }
    }
    catch (err) {
        throw err;
    }
}
exports.prakiraanCuaca = prakiraanCuaca;
