import axios from 'axios';
import { baseUrl, endpoints } from '../../util/variables.js';
export async function autoGempa() {
    try {
        const res = await axios.get(baseUrl.gempa + endpoints.gempa.autoGempa);
        const { Tanggal, Jam, DateTime, Coordinates, Lintang, Bujur, Magnitude, Kedalaman, Wilayah, Potensi, Dirasakan, Shakemap } = res.data.Infogempa.gempa;
        const obj = {
            tanggal: Tanggal,
            jam: Jam,
            dateTime: DateTime,
            coordinates: Coordinates,
            lintang: Lintang,
            bujur: Bujur,
            magnitude: Number(Magnitude),
            kedalaman: Kedalaman,
            wilayah: Wilayah,
            potensi: Potensi,
            dirasakan: Dirasakan,
            shakemap: baseUrl.gempa + '/' + Shakemap
        };
        return obj;
    }
    catch (err) {
        throw err;
    }
}
