import axios from 'axios';
import { baseUrl, endpoints } from '../../util/variables.js';
export async function gempaTerkini() {
    try {
        const res = await axios.get(baseUrl.gempa + endpoints.gempa.gempaTerkini);
        const array = [];
        for (let i = 0; i < res.data.Infogempa.gempa.length; i++) {
            const { Tanggal, Jam, DateTime, Coordinates, Lintang, Bujur, Magnitude, Kedalaman, Wilayah, Potensi } = res.data.Infogempa.gempa[i];
            array.push({
                tanggal: Tanggal,
                jam: Jam,
                dateTime: DateTime,
                coordinates: Coordinates,
                lintang: Lintang,
                bujur: Bujur,
                magnitude: Number(Magnitude),
                kedalaman: Kedalaman,
                wilayah: Wilayah,
                potensi: Potensi
            });
        }
        return array;
    }
    catch (err) {
        throw err;
    }
}
